use ThoeniGaechter2015JoEP.dta , clear
drop if role==0

encode sessionid, gen(_sess)
gen mg = 100* _sess + mgroup
drop _sess

svyset, clear
svyset mg

gen drev=ei!=eihat
gen absrev=abs(ei-eihat)


svy:  tab eit drev  

table eit, c(mean drev mean absrev) 

*table 1
gen eimin=ei==1
probit drev eit ei eimin experienced belief productivity zh , cluster(mg)
probit drev eit ei eimin experienced belief productivity zh if exp1_nonselfish==1, cluster(mg)

*table 2
tobit eihat ej ei eimin experienced belief productivity zh if eit==1 , ll(1) vce(cluster mg) nolog
tobit eihat ej ei eimin experienced belief productivity zh if eit==1 & exp1_nonselfish==1, ll(1) vce(cluster mg)

*table 3
gen dei = eihat-ei
gen dejei = ej - ei
regress dei dejei ei  eimin experienced belief productivity zh if eit==1 , cluster(mg)
gen posdejei = max(dejei,0)
gen dposdejei = dejei>0
regress dei dejei posdejei dposdejei ei  eimin experienced belief productivity zh if eit==1 , cluster(mg)
gen expXdejei = experienced*dejei
gen expXposdejei = experienced*posdejei
gen expXdposdejei = experienced*dposdejei
regress dei dejei posdejei dposdejei *X* ei  eimin experienced belief productivity zh if eit==1 , cluster(mg)
